cURL
curl --request GET \
--url https://api.chartbrew.com/chart/share/{share_string} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chartbrew.com/chart/share/{share_string}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chartbrew.com/chart/share/{share_string}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"subType": "<string>",
"chartData": {},
"chartDataUpdated": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"public": true,
"shareable": true,
"ChartDatasetConfigs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chart_id": 123,
"dataset_id": 123,
"xAxis": "<string>",
"xAxisOperation": "<string>",
"yAxis": "<string>",
"yAxisOperation": "<string>",
"dateField": "<string>",
"dateFormat": "<string>",
"conditions": [
{
"id": "<string>",
"field": "<string>",
"value": "<string>",
"displayValues": true
}
],
"formula": "<string>",
"datasetColor": "<string>",
"fillColor": "<string>",
"fill": false,
"multiFill": false,
"legend": "<string>",
"pointRadius": 123,
"excludedFields": [
"<string>"
],
"sort": "<string>",
"columnsOrder": [
"<string>"
],
"order": 0,
"maxRecords": 123,
"goal": 123,
"configuration": {
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
]
}Charts
Get Chart for Sharing
Retrieve chart data for sharing with support for public charts and SharePolicy tokens
GET
/
chart
/
share
/
{share_string}
cURL
This endpoint returns chart data optimized for sharing.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Share policy's share_string
Query Parameters
Access token generated from the SharePolicy
Theme for the embedded chart (light, dark, os)
Available options:
light, dark, os Response
Chart data
⌘I